# Close dispute Close a dispute. This feature is only available for Mastercard. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Disputes", "version": "1.0.0", "description": "Disputes API endpoints", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/disputes", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Disputes", "description": "Endpoints to create and manage disputes" } ], "components": { "schemas": { "DisputeID": { "type": "number", "description": "Dispute ID", "example": 1876567 }, "closeClaimReasonCode": { "type": "string", "description": "Reason code for closing the claim. **REQUIRED** when network is Mastercard.\n\n`10` = Won\n`20` = Lost\n`30` = Lost, below threshold\n`40` = Cardholder liable\n", "enum": [ "10", "20", "30", "40" ] }, "ProcessedDataRequest": { "title": "ProcessedDataRequest", "x-stoplight": { "id": "3xom3mmc8c5t2" }, "type": "object", "description": "Request object sent to network, and check dispute is closed.", "required": [ "dispute_id", "close_claim_reason_code" ], "properties": { "dispute_id": { "$ref": "#/components/schemas/DisputeID" }, "close_claim_reason_code": { "$ref": "#/components/schemas/closeClaimReasonCode" }, "dispute_installment_id": { "type": "number", "example": 1, "description": "Related dispute installment ID. If not passed, first installment is used." }, "open_claim_due_date": { "type": "string", "format": "date", "example": "2022-01-01", "description": "Due date for opening the claim. Optional when network is Mastercard." } } }, "ProcessedDataResponse": { "title": "ProcessedDataResponse", "description": "Response object with data from requested closed.", "x-stoplight": { "id": "i2zank0k115bk" }, "type": "object", "properties": { "dispute_id": { "$ref": "#/components/schemas/DisputeID" }, "dispute_installment_id": { "type": "number", "example": 1, "description": "Related dispute installment ID. If not passed, first Installment is used." }, "close_claim_reason_code": { "$ref": "#/components/schemas/closeClaimReasonCode" }, "open_claim_due_date": { "type": "string", "format": "date", "example": "2022-01-01", "description": "Due date for opening the claim. Optional when network is Mastercard." }, "claim_id": { "type": "string", "example": "00058678", "description": "Network claim identifier." } } } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Unauthorized. Invalid or missing access token." }, "422UnprocessableEntity": { "description": "Unprocessable entity" } } }, "paths": { "/v1/disputes/close": { "post": { "summary": "Close dispute", "description": "Close a dispute. This feature is only available for Mastercard.", "operationId": "post-v1-disputes-close", "tags": [ "Disputes" ], "requestBody": { "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ProcessedDataRequest" }, "examples": { "Close a Dispute at Mastercard": { "value": { "dispute_id": 1, "dispute_installment_id": 1, "close_claim_reason_code": "10", "open_claim_due_date": "2022-01-01" } } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ProcessedDataResponse" }, "examples": { "Request sent with success - Mastercard": { "value": { "dispute_id": 1, "dispute_installment_id": 1, "close_claim_reason_code": "10", "open_claim_due_date": "2022-01-01", "claim_id": "00058678" } } } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "422": { "$ref": "#/components/responses/422UnprocessableEntity" } } } } } } ```